# ANALYST Functions

### Function List

* CORPDEV.AI\_QUESTION
* CORPDEV.AI\_SCORE\_WITH\_DESC
* CORPDEV.AI\_SCORE

See Also:

* CORPDEV.COMPANY\_RESEARCH\_QUESTION
* CORPDEV.GRDIVE\_DOCUMENT\_QUESTION

***

### `CORPDEV.AI_QUESTION(prompt, context, answer_format)`

**Description:**\
Asks an AI a question and retrieves the response in the specified format. This function is designed for logic and reasoning tasks based on data your provide in the prompt or as context. This function does not access any data sources (answers are based on AI's general knowledge).

**Parameters:**

* `prompt` (string): The question prompt.
* `context` (string): The context of the question.
* `answer_format` (string): The desired format of the answer.

**Returns:**\
The AI's response.

{% hint style="info" %}
**For questions that require online or private material research:**

* CORPDEV.COMPANY\_RESEARCH\_QUESTION - for questions requiring online research&#x20;
* CORPDEV.GRDIVE\_DOCUMENT\_QUESTION - for questions about a specific document
  {% endhint %}

***

### `CORPDEV.AI_SCORE_WITH_DESC(scoring_factor_name, scoring_factor_criteria, source_material_to_score_by, additional_context)`

**Description:**\
Retrieves an AI-generated score along with a description for a factor based on given criteria and source material.

**Parameters:**

* `scoring_factor_name` (string): The factor to score.
* `scoring_factor_criteria` (string): The criteria for scoring.
* `source_material_to_score_by` (string): The source material for scoring.
* `additional_context` (string, optional): Additional context.

**Returns:**\
An array containing the score and the description.

***

### `CORPDEV.AI_SCORE(scoring_factor_name, scoring_factor_criteria, source_material_to_score_by, additional_context)`

**Description:**\
Retrieves the AI-generated score for a factor based on given criteria and source material.

**Parameters:**

* `scoring_factor_name` (string): The factor to score.
* `scoring_factor_criteria` (string): The criteria for scoring.
* `source_material_to_score_by` (string): The source material for scoring.
* `additional_context` (string, optional): Additional context.

**Returns:**\
The score.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.corpdev.ai/corpdev.ai-docs/excel-add-in/analyst-functions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
